import React from "react"
import {} from "gatsby"
import { Content, Link, Carousel } from "@onegeo/gatsby-theme-onegeo"

const carousel = () => {
    const dataImage = [
        {
            src: "https://www.freewebheaders.com/wp-content/uploads/water-coast-header-800x200.jpg",
        },
        {
            src: "https://www.freewebheaders.com/wp-content/gallery/abstract-size-800x200/thumbs/thumbs_red-blue-yellow-smoke-abstract-header-800x200.jpg",
        },
        {
            src: "https://www.freewebheaders.com/wp-content/gallery/cool-funny-size-800x200/cache/sweltering-heat-indian-desert-banner_size-800x200.jpg-nggid048722-ngg0dyn-800x200x100-00f0w010c010r110f110r010t010.jpg",
        },
        {
            src: "https://www.freewebheaders.com/wp-content/gallery/nature-size-800x200/cache/french-home-in-a-beautiful-complex-landscape-web-header_size-800x200.jpg-nggid049380-ngg0dyn-800x200x100-00f0w010c010r110f110r010t010.jpg",
        },
    ]
    return (
        <Content>
            <div className="prose">
                <Link to="/doc/core">Retour</Link>

                <h1>Carousel</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface DataImage {
    src: string;
  }
  
  interface Props {
    images: Array<DataImage>;
    delay?: number;
  }
  
  const dataImage = [
    {
      src: logo1,
    },
    {
      src: logo2,
    },
    {
      src: logo3,
    },
    {
      src: logo4,
    },
    {
      src: logo5,
    },
];
`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="mt-5">
                <h2>Default slide effect :</h2>
                <Carousel images={dataImage} delay={3000} />
            </div>
            <div className="mt-5">
                <h2>Fade effect :</h2>
                <Carousel images={dataImage} animation="fade" delay={3000} />
            </div>
            <div className="mt-5">
                <h2>Coverflow effect :</h2>
                <Carousel
                    images={dataImage}
                    animation="coverflow"
                    delay={3000}
                />
            </div>
        </Content>
    )
}

export default carousel
