import React, { ReactElement } from "react"
import { graphql, PageProps } from "gatsby"

import { Layout, Sections } from "@onegeo/gatsby-theme-onegeo"

interface IData {
    directus: {
        site: {
            sections: {
                sections_id: {
                    id: string
                }
            }[]
        }
    }
}

function Index({ data }: PageProps<IData>): ReactElement {
    const sections = data.directus.site.sections

    const ids = sections.map((section) => section.sections_id.id)
    if (!ids || ids.length == 0) return <Layout>No section !</Layout>

    return (
        <Layout>
            <Sections ids={ids} />
        </Layout>
    )
}

export default Index

export const query = graphql`
    query {
        directus {
            site {
                sections {
                    sections_id {
                        id
                    }
                }
            }
        }
    }
`
